org.apache.hive.jdbc.jwt

## Class HttpJwtAuthRequestInterceptor

- java.lang.Object
- - org.apache.hive.jdbc.HttpRequestInterceptorBase
  - - org.apache.hive.jdbc.jwt.HttpJwtAuthRequestInterceptor

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

    public class HttpJwtAuthRequestInterceptor
    extends HttpRequestInterceptorBase

This implements the logic to intercept the HTTP requests from the Hive Jdbc connection and adds JWT auth header.

### Field Summary

### Fields inherited from class org.apache.hive.jdbc.HttpRequestInterceptorBase

`LOG`

### Constructor Summary

Constructors
Constructor and Description
`HttpJwtAuthRequestInterceptor(String signedJwt, org.apache.http.client.CookieStore cookieStore, String cn, boolean isSSL, Map<String,String> additionalHeaders, Map<String,String> customCookies)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addHttpAuthHeader(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext)`

### Methods inherited from class org.apache.hive.jdbc.HttpRequestInterceptorBase

`getNewTrackHeader, process, sessionId, setRequestTrackingEnabled`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpJwtAuthRequestInterceptor

    public HttpJwtAuthRequestInterceptor(String signedJwt,
                                         org.apache.http.client.CookieStore cookieStore,
                                         String cn,
                                         boolean isSSL,
                                         Map<String,String> additionalHeaders,
                                         Map<String,String> customCookies)

### Method Detail

#### addHttpAuthHeader

    protected void addHttpAuthHeader(org.apache.http.HttpRequest httpRequest,
                                     org.apache.http.protocol.HttpContext httpContext)

Specified by:
  `addHttpAuthHeader` in class `HttpRequestInterceptorBase`